List API keys
curl --request GET \
--url https://api.compute.anonalabs.com/v1/api-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.compute.anonalabs.com/v1/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.compute.anonalabs.com/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"apiKeys": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"prefix": "<string>",
"preset": "read_only",
"scopes": [
"<string>"
],
"sandboxIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
]
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}API keys
List API keys
Lists the organization’s API keys (never their secrets). Dashboard sessions only: API keys cannot list or manage keys. Every role may list.
GET
/
v1
/
api-keys
List API keys
curl --request GET \
--url https://api.compute.anonalabs.com/v1/api-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.compute.anonalabs.com/v1/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.compute.anonalabs.com/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"apiKeys": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"prefix": "<string>",
"preset": "read_only",
"scopes": [
"<string>"
],
"sandboxIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
]
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}